package cn.hmsoft.frame.data.model;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 系统表-字典类型定义
* @author: zxq
* @date: 2018-07-16 19:00:10
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "FRAME_DICT_NAME", keyColumn =  "DICT_NAME" , sequenceName = "")
public class FrameDictName implements Serializable{
	private static final long serialVersionUID = 1612948696361694811L;
	//字典类型
	private String dict_name;
	//字典描述信息
	private String dict_desc;
	//是否可以修改
	private String modify_flag;
	//是否是框架自带的字典
	private String frame_flag;

	/****
	 * 字典类型
	 */
	public String getDict_name() {
		return this.dict_name;
	}

	/****
	 * 字典类型
	 */
	public void setDict_name(String dict_name) {
		this.dict_name = dict_name;
	}

	/****
	 * 字典描述信息
	 */
	public String getDict_desc() {
		return this.dict_desc;
	}

	/****
	 * 字典描述信息
	 */
	public void setDict_desc(String dict_desc) {
		this.dict_desc = dict_desc;
	}

	/****
	 * 是否可以修改
	 */
	public String getModify_flag() {
		return this.modify_flag;
	}

	/****
	 * 是否可以修改
	 */
	public void setModify_flag(String modify_flag) {
		this.modify_flag = modify_flag;
	}

	/****
	 * 是否是框架自带的字典
	 */
	public String getFrame_flag() {
		return this.frame_flag;
	}

	/****
	 * 是否是框架自带的字典
	 */
	public void setFrame_flag(String frame_flag) {
		this.frame_flag = frame_flag;
	}


	protected Integer dict_total;

	public Integer getDict_total() {
		return dict_total;
	}

	public void setDict_total(Integer dict_total) {
		this.dict_total = dict_total;
	}
	
}